(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     13355,        325]*)
(*NotebookOutlinePosition[     14216,        355]*)
(*  CellTagsIndexPosition[     14172,        351]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["\<\
Pr\[AAcute]ctica 1

El entorno de trabajo de Mathematica\
\>", "Subtitle",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  TextAlignment->Center],

Cell["\<\
  En esta pr\[AAcute]ctica se pretende que el alumno aprenda a utilizar el \
programa Mathematica, a ejecutar algunas operaciones aritm\[EAcute]ticas b\
\[AAcute]sicas, a la vez que se familiariza con el teclado,y a emplear alguna \
de las opciones de su Men\[UAcute], mediante el uso del rat\[OAcute]n.\
\>", "Text",
  Evaluatable->False],

Cell["Descripci\[OAcute]n de los Notebooks", "Section",
  Evaluatable->False],

Cell["\<\
  Ya se encuentra dentro de un fichero Mathematica, denominados \
gen\[EAcute]ricamente \"Notebooks\". Muy pronto entender\[AAcute] que este \
texto, delimitado por el corchete de la derecha, es simplemente una informaci\
\[OAcute]n para el usuario. Encontrar\[AAcute] muchos p\[AAcute]rrafos de \
este tipo a lo largo de la pr\[AAcute]ctica. Se trata de una \"celdilla\" de \
tipo texto y, por lo tanto, no es ejecutable.\
\>", "Text",
  Evaluatable->False],

Cell["\<\
  Ahora le vamos a indicar c\[OAcute]mo ver todo lo que hemos escrito en esta \
pr\[AAcute]ctica; para ello observe que en el margen derecho hay dos flechas, \
una en la parte superior indicando hacia arriba y otra abajo en sentido \
contrario. Sit\[UAcute]ese con el rat\[OAcute]n en la flecha de abajo y p\
\[UAcute]lselo de forma continua hasta que esta  parte de texto desaparezca \
por arriba. Practique un poco y despu\[EAcute]s contin\[UAcute]e por aqu\
\[IAcute]. Tambi\[EAcute]n se puede ir de forma r\[AAcute]pida de una parte a \
otra de la pr\[AAcute]ctica moviendo con el rat\[OAcute]n el cuadradito que \
se encuentra en esa misma barra vertical. Pruebe a ir al principio y al final \
de esta pr\[AAcute]ctica utiliz\[AAcute]ndolo. Existen mandos totalmente an\
\[AAcute]logos en la parte inferior de esta pantalla que sirven  para moverse \
horizontalmente, aunque son menos utilizados. Tambi\[EAcute]n existen unos \
triangulitos m\[AAcute]s peque\[NTilde]os en lan parte superior derecha, en \
negrita, que permiten ajustar la \"ventana\" del Notebook  al tama\[NTilde]o \
de nuestra pantalla, o bien hacerla desaparecer moment\[AAcute]neamente. Si \
\[EAcute]sto \[UAcute]ltimo ocurriese, s\[OAcute]lo bastar\[IAcute]a hacer \
doble-click con el rat\[OAcute]n 
en el icono minimizado que aparece. Hay que hacer notar que \[EAcute]stas \
\[UAcute]ltimas son caracter\[IAcute]sticas comunes a las diferentes \
aplicaciones bajo el entorno \"Windows\" (sistema operativo que hace \
funcionar nuestro ordenador mediante diferentes \"ventanas\" por las que nos \
podemos mover y trabajar con ellas).\
\>", "Text",
  Evaluatable->False],

Cell["Celdillas de entrada (In) y de salida (Out)", "Section",
  Evaluatable->False],

Cell["\<\
Los siguientes corchetes delimitan una \"celdilla\" ejecutable; cada una \
muestra una simple operaci\[OAcute]n que puede ser realizada con  \
Mathematica; y algunos contienen un peque\[NTilde]o comentario explicativo. M\
\[AAcute]rquelas una a una con el rat\[OAcute]n, haciendo \"click\" sobre \
ellas y, a continuaci\[OAcute]n, para ejecutarlas, una posibilidad es  pulsar \
la tecla (Insert) .  H\[AAcute]galo y vea los resultados. El  corchete de la \
derecha debe de aparecer en doble trazo, indicando as\[IAcute] que se \
encuentra en ejecuci\[OAcute]n por parte del ordenador, hasta que aparezca  \
un resultado o \"salida\" (Out), correspondiente a los datos que se \
introducen de \"entrada\" (In).\
\>", "Text",
  Evaluatable->False],

Cell["\<\
Los siguientes corchetes delimitan una \"celdilla\" ejecutable; cada uno \
muestra una simple operaci\[OAcute]n que puede ser realizada con  \
Mathematica; y algunos contienen un peque\[NTilde]o comentario explicativo. M\
\[AAcute]rquelas una a una con el rat\[OAcute]n, haciendo \"click\" sobre \
ellas y, a continuaci\[OAcute]n, para ejecutarlas, una posibilidad es  pulsar \
la tecla (Insert) .  H\[AAcute]galo y vea los resultados. El  corchete de la \
derecha debe de aparecer en doble trazo, indicando as\[IAcute] que se \
encuentra en ejecuci\[OAcute]n por parte del ordenador, hasta que aparezca  \
un resultado o \"salida\" (Out), correspondiente a los datos que se \
introducen de \"entrada\" (In).\
\>", "Text",
  Evaluatable->False],

Cell["4*3-1 (* se realiza las operaciones indicadas *)", "Input",
  PageWidth->Infinity],

Cell["4 3+4 5 (* n\[OAcute]tese el efecto del espacio *)", "Input",
  PageWidth->Infinity],

Cell["4(3+5) (* recuerdese la propiedad distributiva *)", "Input",
  PageWidth->Infinity],

Cell["4/2-1 (* n\[OAcute]tese la prioridad en las operaciones *)", "Input",
  PageWidth->Infinity],

Cell["4/(2-1) (* n\[OAcute]tese el efecto de los par\[EAcute]ntesis *)", 
  "Input",
  PageWidth->Infinity],

Cell["2^3 (* ^ indica la exponenciaci\[OAcute]n *)", "Input",
  PageWidth->Infinity],

Cell["2^3^2 (* n\[OAcute]tese la prioridad en las operaciones *)", "Input",
  PageWidth->Infinity],

Cell["(2^3)^2 (* n\[OAcute]tese el efecto de los par\[EAcute]ntesis *)", 
  "Input",
  PageWidth->Infinity],

Cell["%+2 (* % se refiere al resultado anterior *)        ", "Input",
  PageWidth->Infinity],

Cell["%%+3 (* %% se refiere al pen\[UAcute]ltimo resultado *)", "Input",
  PageWidth->Infinity],

Cell["%4   (* %n se refiere a la salida n-\[EAcute]sima*)", "Input",
  PageWidth->Infinity],

Cell["La orden Print", "Section",
  Evaluatable->False],

Cell["\<\
A continuaci\[OAcute]n ejecute las siguientes \[OAcute]rdenes de Mathematica, \
 cuyo objetivo es la  impresi\[OAcute]n en pantalla de una serie de mensajes. \
Para imprimir se usa la sentencia Print, y si se trata de un texto debe ir \
entre comillas. F\[IAcute]jese en la estructura de este comando; es \
representativa de cualquier otro comando de Mathematica, ya que todos son \
palabras en ingl\[EAcute]s o una abreviaci\[OAcute]n estandard,  cuya primera \
letra siempre comienza con may\[UAcute]scula y cuyos argumentos vienen dados \
entre corchetes [  ]. Estos corchetes, junto con las llaves {}, se obtienen \
pulsando las teclas correspondientes, al mismo tiempo que la tecla Alt-Gr \
(situada al lado  derecho de la barra espaciadora). Pero por ahora no tiene \
que escribir nada; basta con que se situe sobre las sentencias siguientes  y \
ejecute la l\[IAcute]nea correspondiente. \
\>", "Text",
  Evaluatable->False],

Cell["\<\
Print[\"hola\"] (*se imprime el mensaje 
\t\t\tespecificado entre comillas*)\
\>", "Input",
  PageWidth->Infinity],

Cell["Print[\"me llamo Pepito\"]", "Input",
  PageWidth->Infinity],

Cell["\<\
Print[2^3+3/4] (*se imprime el resultado de 
\t\t\tla operaci\[OAcute]n indicada*)\
\>", "Input",
  PageWidth->Infinity],

Cell["Print[1,2,3] (*se yuxtaponen los n\[UAcute]meros 1, 2 y 3*)", "Input",
  PageWidth->Infinity],

Cell["\<\
Print[1,\" \",2,\" \",3] (*n\[OAcute]tese como se han 
\t\t\tintroducido los espacios*)\
\>", "Input",
  PageWidth->Infinity],

Cell["Ejercicios", "Section",
  Evaluatable->False],

Cell["\<\

1.- Haga pr\[AAcute]cticas por su cuenta. Para ello tiene que crear su propia \
celda de entrada. Puede hacerlo entre dos celdas existentes. Observe que en \
ese lugar el rat\[OAcute]n aparece como un segmento horizontal. Marque ah\
\[IAcute] con el rat\[OAcute]n, escriba sus \[OAcute]rdenes y eval\[UAcute]e \
como antes. Tambi\[EAcute]n aparece un nuevo corchete en blanco cuando \
pulsamos la tecla Return, una vez que hemos marcado con el rat\[OAcute]n \
entre dos celdas consecutivas. \
\>", "Text",
  Evaluatable->False,
  FontFamily->"Times New Roman",
  FontSize->12,
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontTracking->"Plain",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667],
  FontVariations->{"Underline"->False,
  "Outline"->False,
  "Shadow"->False}],

Cell["\<\

2.- Practique escribiendo corchetes, llaves, exponentes. Imprima textos y \
resultados. N\[OAcute]tese que no hay separaci\[OAcute]n entre cada elemento \
a no ser que lo forcemos nosotros, y el efecto de cambiar las comas por \";\" \
.\
\>", "Text",
  Evaluatable->False,
  FontFamily->"Times New Roman",
  FontSize->12,
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontTracking->"Plain",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667],
  FontVariations->{"Underline"->False,
  "Outline"->False,
  "Shadow"->False}],

Cell["\<\

3.- Para imprimir nuestro nombre, vamos a emplear la misma sentencia escrita \
anteriormente. Sit\[UAcute]e el rat\[OAcute]n al final de  Pepito y haga \
click para que aparezca el cursos parpadeante. Ahora podemos borrarlo letra a \
letra mediante la tecla \"Supr\". Solo basta escribir  a continuaci\[OAcute]n \
nuestro verdadero nombre y  ejecutar de nuevo esta celda para verlo impreso \
en la pantalla.\
\>", "Text",
  Evaluatable->False,
  FontFamily->"Times New Roman",
  FontSize->12,
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontTracking->"Plain",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667],
  FontVariations->{"Underline"->False,
  "Outline"->False,
  "Shadow"->False}],

Cell["\<\

4.- Por \[UAcute]ltimo, vamos a emplear algunas de las opciones  de edici\
\[OAcute]n m\[AAcute]s \[UAcute]tiles, comunes a otras muchas aplicaciones \
Windows y que aparecen dentro del Men\[UAcute] superior bajo la palabra Edit. \
Para ello debemos marcar previamente con el rat\[OAcute]n una porci\[OAcute]n \
de texto o una celdilla, por ejemplo marcar el corchete de la \[UAcute]ltima \
sentencia Print . Despu\[EAcute]s llevar el puntero del rat\[OAcute]n sobre \
la palabra Edit, situada en la parte superior izquierda del men\[UAcute] de \
Mathematica  y pulsar el bot\[OAcute]n del rat\[OAcute]n para ver las \
distintas operaciones posibles. Las m\[AAcute]s interesantes son: Cut \
(cortar), Copy (copiar), Paste (pegar) y Undo (deshacer \[UAcute]ltima \
operaci\[OAcute]n).  Manteniendo pulsada la tecla del rat\[OAcute]n, soltarla \
sobre la opci\[OAcute]n Copy, para hacer una copia de la celda seleccionada. \
A continuaci\[OAcute]n nos situamos con el rat\[OAcute]n al final de este p\
\[AAcute]rrafo de texto y abriremos un nuevo corchete haciendo click en el \
bot\[OAcute]n del mismo y situandonos de nuevo en el men\[UAcute] Edit, sobre \
la opci\[OAcute]n Paste.  Estas mismas opciones se pueden obtener a partir \
del teclado, mediante las teclas Ctrl + C  y  Ctrl + V. As\[IAcute] podremos \
obtener una copia exacta de la anterior celda que hab\[IAcute]amos copiado. \
Sobre esta copia podemos hacer ahora todas las modificaciones que queramos \
sin temor a que se pierda la original. 
  Por ejemplo, marcar con el rat\[OAcute]n justo despu\[EAcute]s de las \
comillas iniciales, mantenerlo pulsado mientras se arrastra el puntero hasta  \
antes de las comillas finales. Ahora podemos insertar cualquier texto dentro \
de la orden  Print[\" \"].  Por ejemplo podemos insertar un mensaje de \
despedida, ya que hemos finalizado esta  pr\[AAcute]ctica.

En los ejercicios de las siguientes pr\[AAcute]cticas, d1, d2, d3, d4, d5, \
d6, d7 y d8 ser\[AAcute]n los valores de los d\[IAcute]gitos de su DNI, ds \
ser\[AAcute] su suma y  dm, la media aritm\[EAcute]tica. Los alumnos con \
pasaporte considerar\[AAcute]n s\[OAcute]lo los  d\[IAcute]gitos que tenga \
\[EAcute]ste.\
\>", "Text",
  Evaluatable->False,
  FontFamily->"Times New Roman",
  FontSize->12,
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontTracking->"Plain",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667],
  FontVariations->{"Underline"->False,
  "Outline"->False,
  "Shadow"->False}]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 800}, {0, 542}},
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{671, 445},
WindowMargins->{{1, Automatic}, {Automatic, 5}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1709, 49, 165, 7, 112, "Subtitle"],
Cell[1877, 58, 349, 6, 52, "Text"],
Cell[2229, 66, 77, 1, 53, "Section"],
Cell[2309, 69, 468, 8, 71, "Text"],
Cell[2780, 79, 1658, 24, 223, "Text"],
Cell[4441, 105, 84, 1, 53, "Section"],
Cell[4528, 108, 754, 12, 109, "Text"],
Cell[5285, 122, 754, 12, 109, "Text"],
Cell[6042, 136, 88, 1, 30, "Input"],
Cell[6133, 139, 90, 1, 30, "Input"],
Cell[6226, 142, 89, 1, 30, "Input"],
Cell[6318, 145, 98, 1, 30, "Input"],
Cell[6419, 148, 107, 2, 30, "Input"],
Cell[6529, 152, 84, 1, 30, "Input"],
Cell[6616, 155, 98, 1, 30, "Input"],
Cell[6717, 158, 107, 2, 30, "Input"],
Cell[6827, 162, 92, 1, 30, "Input"],
Cell[6922, 165, 95, 1, 30, "Input"],
Cell[7020, 168, 91, 1, 30, "Input"],
Cell[7114, 171, 55, 1, 53, "Section"],
Cell[7172, 174, 941, 14, 147, "Text"],
Cell[8116, 190, 124, 4, 48, "Input"],
Cell[8243, 196, 66, 1, 30, "Input"],
Cell[8312, 199, 130, 4, 48, "Input"],
Cell[8445, 205, 99, 1, 30, "Input"],
Cell[8547, 208, 135, 4, 48, "Input"],
Cell[8685, 214, 51, 1, 53, "Section"],
Cell[8739, 217, 810, 20, 125, "Text"],
Cell[9552, 239, 555, 17, 87, "Text"],
Cell[10110, 258, 726, 19, 106, "Text"],
Cell[10839, 279, 2512, 44, 353, "Text"]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

